package main

import (
    "bufio"
    "os"
    "git.callpipe.com/aidan/shsh"
)

func main() {
    scanner := bufio.NewScanner(os.Stdin)
    for scanner.Scan() {
        shsh.PrintSExpression(shsh.Lex(scanner.Text()))
    }
}
